Name:                xmlenc
Version:             0.53
Release:             1
Summary:             Light-weight XML output library for Java
License:             BSD
URL:                 https://github.com/znerd/xmlenc/
Source0:             https://github.com/znerd/xmlenc/archive/xmlenc-%{version}.tar.gz

BuildRequires:       mvn(org.znerd:znerd-oss-parent:pom:) mvn(junit:junit)
BuildRequires:       maven-local maven-enforcer-plugin
BuildRequires:       mvn(org.apache.maven.shared:maven-common-artifact-filters)
BuildRequires:       mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildArch:           noarch

%description
This library is a fast stream-based XML output library for Java.
Main design goals are performance, simplicity and pureness.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -n %{name}-%{name}-%{version}
find . -name "*.class" -delete
find . -name ".*" -delete
find . -name "*.jar" -type f -delete
%mvn_file : %{name}
%mvn_alias : "%{name}:%{name}"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGES.txt README.txt THANKS.txt
%license COPYRIGHT.txt

%files javadoc -f .mfiles-javadoc
%license COPYRIGHT.txt

%changelog
* Mon Aug 17 2020 maminjie <maminjie1@huawei.com> - 0.53-1
- package init
